
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class UTExportedTypeDeclaration {

    @SerializedName("UTTypeConformsTo")
    private List<String> uTTypeConformsTo;
    @SerializedName("UTTypeIdentifier")
    private String uTTypeIdentifier;
//    @SerializedName("UTTypeTagSpecification")
//    private JsonObject uTTypeTagSpecification;

    public List<String> getUTTypeConformsTo() {
        return uTTypeConformsTo;
    }

    public void setUTTypeConformsTo(List<String> uTTypeConformsTo) {
        this.uTTypeConformsTo = uTTypeConformsTo;
    }

    public String getUTTypeIdentifier() {
        return uTTypeIdentifier;
    }

    public void setUTTypeIdentifier(String uTTypeIdentifier) {
        this.uTTypeIdentifier = uTTypeIdentifier;
    }

//    public JsonObject getUTTypeTagSpecification() {
//        return uTTypeTagSpecification;
//    }
//
//    public void setUTTypeTagSpecification(JsonObject uTTypeTagSpecification) {
//        this.uTTypeTagSpecification = uTTypeTagSpecification;
//    }

}
